Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.feed.rss
Class RSSFeedBuilder

    java.lang.Object
      org.wso2.wsas.feed.rss.RSSFeedBuilder

public class RSSFeedBuilder
extends java.lang.Object

Constructor Summary
`RSSFeedBuilder()`

Method Summary
`void` | `addService(org.apache.axis2.description.AxisService serviceDescription, java.lang.String itemDefaultLink)`
`void` | `removeService(org.apache.axis2.description.AxisService serviceDescription, java.lang.String itemDefaultLink)`
`void` | `serviceUpdate(org.apache.axis2.description.AxisService serviceDescription, java.lang.String itemDefaultLink)`
`void` | `startService(org.apache.axis2.description.AxisService serviceDescription, java.lang.String itemDefaultLink)`
`void` | `stopService(org.apache.axis2.description.AxisService serviceDescription, java.lang.String itemDefaultLink)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSSFeedBuilder

    public RSSFeedBuilder()

Method Detail

### addService

    public void addService(org.apache.axis2.description.AxisService serviceDescription,
                           java.lang.String itemDefaultLink)

### removeService

    public void removeService(org.apache.axis2.description.AxisService serviceDescription,
                              java.lang.String itemDefaultLink)

### stopService

    public void stopService(org.apache.axis2.description.AxisService serviceDescription,
                            java.lang.String itemDefaultLink)

### startService

    public void startService(org.apache.axis2.description.AxisService serviceDescription,
                             java.lang.String itemDefaultLink)

### serviceUpdate

    public void serviceUpdate(org.apache.axis2.description.AxisService serviceDescription,
                              java.lang.String itemDefaultLink)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD